/**
 *
 */
package de.rico.editor.datamodel;

import de.rico.engine.geometry.Point3D;
import de.rico.engine.material.Color4f;

/**
 * This class is the editor reprensentation of a positional light.
 * @author Frank Bruns
 */
public class PosLightData extends AbstractLightData
{
	private Point3D position = null;

	public PosLightData(Point3D pos, Color4f amb, Color4f diff, int lightNr)
	{
		super(amb,diff,lightNr);
		this.position = pos;
	}

	/**
	 * Returns the position data.
	 * @return the position of the light
	 */
	public Point3D getPosition()
	{
		return this.position;
	}
}
